Package org.apache.cayenne.dba.oracle

## Class OracleCharType

- java.lang.Object
- - org.apache.cayenne.access.types.CharType
  - - org.apache.cayenne.dba.oracle.OracleCharType

- All Implemented Interfaces:
    `ExtendedType<String>`

      public class OracleCharType
      extends CharType

  Oracle specific CHAR type handling. If connection property "fixedString" is true, then 'a' equal 'a ' in a CHAR(4) while parameter binding in PreparedStatement.
  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.types.CharType

      `trimmingChars, usingClobs`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OracleCharType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setJdbcObject​(PreparedStatement st, String val, int pos, int type, int precision)` | Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class org.apache.cayenne.access.types.CharType

      `getClassName, isTrimmingChars, isUsingClobs, materializeObject, materializeObject, readCharStream, readClob, readValueStream, rtrim, setTrimmingChars, setUsingClobs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.types.ExtendedType

      `readProcessor, writeProcessor`

- - ### Constructor Detail

    - #### OracleCharType

          public OracleCharType()

  - ### Method Detail

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement st,
                                    String val,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<String>`
      Overrides:
        `setJdbcObject` in class `CharType`
      Throws:
        `Exception`